commit:     d535678fa789beafbbdbf138ab7aabeb7fe93a93
Author:     Guillermo Joandet <gjoandet <AT> gmail <DOT> com>
AuthorDate: Fri Nov  3 13:13:26 2023 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sat Nov  4 23:03:08 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d535678f

net-libs/gupnp: Version bump to 1.6.6

Signed-off-by: Guillermo Joandet <gjoandet <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/33663
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 net-libs/gupnp/Manifest           |  1 +
 net-libs/gupnp/gupnp-1.6.6.ebuild | 77 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/net-libs/gupnp/Manifest b/net-libs/gupnp/Manifest
index a036109bfbc8..fb05e1ba58bb 100644
--- a/net-libs/gupnp/Manifest
+++ b/net-libs/gupnp/Manifest
@@ -1,2 +1,3 @@
 DIST gupnp-1.4.3.tar.xz 154812 BLAKE2B 
b41a8805853061399412f5eb7267e9913adb3054ebf8a3bd78f6df4c1607d4a944654f3bc6e154fefa98f1289a80055d0feb0168801d83a1ad59c25f5fcac784
 SHA512 
1963ce917458168c8bc5d669ee30a4071d83d3768ce1be8cbbd81c767853ca01950623a88628a0b1e403d1cce1f0bbc9df80acf4b75f91bfc0403e0d0e6bcedb
 DIST gupnp-1.6.5.tar.xz 163380 BLAKE2B 
92c29db56a0fe9596bb0c523fc31be0783d6cf95b1926868a6e8a5e95ed9e28aa04ddf0f6740681995244c5020cfddb9b8ab8aeaf2baeb622185aa3a76a2986e
 SHA512 
c34def9accb0984e17298156b7d325eebd89cc0f0f9568740b15f20a05ce523c8f97b5cc98cee1245c0bdea0a5b4fe97878b810c3325239d87d7d577cd0742a5
+DIST gupnp-1.6.6.tar.xz 245860 BLAKE2B 
9cf9bb4a61e224f74aff18fb4d4491f7e9cb36cf812709b74a8c08581954d82c3c6e59d2b46cac517685a0d191846fbdb6690ac79cebc77a26b6a7d1347f3ae0
 SHA512 
6721f7dfda273074255e1b418d244eba72a24976e1407fdbaf24fd15a8c15a7a6d389690131563aa1f3b15fdeefb2e100da494c04c6c8e29201d402f072fcbe6

diff --git a/net-libs/gupnp/gupnp-1.6.6.ebuild 
b/net-libs/gupnp/gupnp-1.6.6.ebuild
new file mode 100644
index 000000000000..65a1aa08e3f7
--- /dev/null
+++ b/net-libs/gupnp/gupnp-1.6.6.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit gnome.org meson-multilib python-single-r1 vala xdg
+
+DESCRIPTION="An object-oriented framework for creating UPnP devs and control 
points"
+HOMEPAGE="https://wiki.gnome.org/Projects/GUPnP 
https://gitlab.gnome.org/GNOME/gupnp";
+
+LICENSE="LGPL-2+ GPL-2+" # gupnp-binding-tool is GPL-2+
+SLOT="1.6/1.6-0" # <API version>-<soname>
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv 
~sparc ~x86"
+
+IUSE="connman gtk-doc +introspection networkmanager +vala"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+       ?? ( connman networkmanager )
+       gtk-doc? ( introspection )
+"
+
+# prefix: uuid dependency can be adapted to non-linux platforms
+RDEPEND="${PYTHON_DEPS}
+       >=dev-libs/glib-2.70:2[${MULTILIB_USEDEP}]
+       >=net-libs/gssdp-1.6.2:1.6=[introspection?,${MULTILIB_USEDEP}]
+       >=dev-libs/libxml2-2.9.1-r4[${MULTILIB_USEDEP}]
+       >=net-libs/libsoup-2.99.0:3.0[introspection?,${MULTILIB_USEDEP}]
+       >=sys-apps/util-linux-2.24.1-r3[${MULTILIB_USEDEP}]
+       introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/glib-utils
+       gtk-doc? ( >=dev-util/gi-docgen-2021.1 )
+       dev-libs/libxslt
+       app-text/docbook-xsl-stylesheets
+       virtual/pkgconfig
+       !connman? ( !networkmanager? ( kernel_linux? ( sys-kernel/linux-headers 
) ) )
+       vala? ( $(vala_depend)
+               >=net-libs/gssdp-1.5.2:1.6[vala]
+               net-libs/libsoup:3.0[vala]
+       )
+"
+
+src_prepare() {
+       default
+       use vala && vala_setup
+
+       # This makes sense for upstream but not for us downstream, bug #906124.
+       sed -i -e '/-Werror=deprecated-declarations/d' meson.build || die
+}
+
+multilib_src_configure() {
+       local backend=system
+       use kernel_linux && backend=linux
+       use connman && backend=connman
+       use networkmanager && backend=network-manager
+
+       local emesonargs=(
+               -Dcontext_manager=${backend}
+               $(meson_native_use_bool introspection)
+               $(meson_native_use_bool vala vapi)
+               $(meson_native_use_bool gtk-doc gtk_doc)
+               -Dexamples=false
+       )
+       meson_src_configure
+}
+
+multilib_src_install_all() {
+       python_fix_shebang "${ED}"/usr/bin/gupnp-binding-tool-1.6
+       if use gtk-doc ; then
+               mkdir "${ED}"/usr/share/gtk-doc || die
+               mv "${ED}"/usr/share/{doc,gtk-doc}/gupnp-1.6 || die
+       fi
+}

Reply via email to